Package org.eclipse.lemminx.services.extensions.completion

## Class AttributeCompletionItem

- java.lang.Object
- - org.eclipse.lsp4j.CompletionItem
  - - org.eclipse.lemminx.services.extensions.completion.AttributeCompletionItem

    public class AttributeCompletionItem
    extends org.eclipse.lsp4j.CompletionItem

### Constructor Summary

Constructors
`AttributeCompletionItem​(String attrName, boolean canSupportSnippets, org.eclipse.lsp4j.Range fullRange, boolean generateValue, String defaultValue, Collection<String> enumerationValues, SharedSettings sharedSettings)` Attribute completion item.

### Method Summary

### Methods inherited from class org.eclipse.lsp4j.CompletionItem

`equals, getAdditionalTextEdits, getCommand, getCommitCharacters, getData, getDeprecated, getDetail, getDocumentation, getFilterText, getInsertText, getInsertTextFormat, getInsertTextMode, getKind, getLabel, getLabelDetails, getPreselect, getSortText, getTags, getTextEdit, getTextEditText, hashCode, setAdditionalTextEdits, setCommand, setCommitCharacters, setData, setDeprecated, setDetail, setDocumentation, setDocumentation, setDocumentation, setFilterText, setInsertText, setInsertTextFormat, setInsertTextMode, setKind, setLabel, setLabelDetails, setPreselect, setSortText, setTags, setTextEdit, setTextEditText, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AttributeCompletionItem

    public AttributeCompletionItem​(String attrName,
                                   boolean canSupportSnippets,
                                   org.eclipse.lsp4j.Range fullRange,
                                   boolean generateValue,
                                   String defaultValue,
                                   Collection<String> enumerationValues,
                                   SharedSettings sharedSettings)

Attribute completion item.

Parameters:
  `attrName` - attribute name
  `canSupportSnippets` - true if snippets is supported to generate attribute value and false otherwise
  `fullRange` - the range to edit.
  `generateValue` - true if attribute value must be generated and false otherwise.
  `defaultValue` - the default value of attribute.
  `enumerationValues` - the enumeration values of attribute.
  `sharedSettings` - the settings containing quote preferences